

#include "BUILTIN.h"

#include "Char.h"

#include "CharConv.h"

#include "Denotation.h"

#include "Int.h"

#include "IntConv.h"

#include "Nat.h"

#include "NatConv.h"

#include "Real.h"

#include "RealConv.h"

init_AProducts()
{
 static int visited=0; if(visited) return; visited=1;
 init_AAnonPair();
 init_AAnonQuadruple();
 init_AAnonTriple();
 init_ABasics();
 init_ACompose();
 init_AIdentity();
 init_APair();
 init_APairConv();
 init_APairMap();
 init_AQuadruple();
 init_AQuadrupleConv();
 init_AQuadrupleMap();
 init_ATriple();
 init_ATripleConv();
 init_ATripleMap();
 init_AVoid();
 init_AVoidConv();
 init_ABool();
 init_ABoolConv();
 init_AChar();
 init_ACharConv();
 init_ADenotation();
 init_AInt();
 init_AIntConv();
 init_ANat();
 init_ANatConv();
 init_AReal();
 init_ARealConv();}

